%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Time::Local\\)$

Summary:        Date conversion routines
Name:           perl-HTTP-Date
Version:        6.06
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTTP-Date
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/HTTP-Date-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  perl-generators perl-interpreter perl(strict) perl(warnings)
BuildRequires:  perl(:VERSION) >= 5.6.2 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Exporter) perl(Time::Local) >= 1.28
BuildRequires:  perl(IO::Handle) perl(Test::More) perl(Test)
BuildRequires:  perl(IPC::Open3) perl(File::Spec) perl(blib)
Requires:       perl(Time::Local) >= 1.28 perl(Time::Zone)

BuildArch:      noarch

%description
This module includes functions to handle the date format of the HTTP protocol and 
other functions.By default,only two functions are exported: time2str() and str2time().

%prep
%autosetup -n HTTP-Date-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTORS README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.06-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 6.06-1
- Upgrade to upstream version 6.06
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.05-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.05-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 9 2022 Wang Guodong <gordonwwang@tencent.com> - 6.05-1
- package init.
